Create interview
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/interviews/create/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidate_email": "[email protected]",
"candidate_name": "Ada Lovelace",
"interview_type": "live",
"scheduled_at": "2026-09-10T14:00:00Z",
"duration_minutes": 60,
"send_email": true
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/interviews/create/"
payload = {
"candidate_email": "[email protected]",
"candidate_name": "Ada Lovelace",
"interview_type": "live",
"scheduled_at": "2026-09-10T14:00:00Z",
"duration_minutes": 60,
"send_email": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
candidate_email: '[email protected]',
candidate_name: 'Ada Lovelace',
interview_type: 'live',
scheduled_at: '2026-09-10T14:00:00Z',
duration_minutes: 60,
send_email: true
})
};
fetch('https://assess.praxicraft.com/api/v1/public/interviews/create/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/interviews/create/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
candidate_email: '[email protected]',
candidate_name: 'Ada Lovelace',
interview_type: 'live',
scheduled_at: '2026-09-10T14:00:00Z',
duration_minutes: 60,
send_email: true
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/interviews/create/"
payload := strings.NewReader("{\n \"candidate_email\": \"[email protected]\",\n \"candidate_name\": \"Ada Lovelace\",\n \"interview_type\": \"live\",\n \"scheduled_at\": \"2026-09-10T14:00:00Z\",\n \"duration_minutes\": 60,\n \"send_email\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "room-abc123",
"candidate_email": "[email protected]",
"candidate_name": "Ada Lovelace",
"status": "scheduled",
"interview_type": "live",
"scheduled_at": "2026-09-10T14:00:00Z",
"created_at": "2026-09-05T09:00:00Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "Invalid or revoked API Key.",
"code": "INVALID_API_KEY"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Public API — Interviews
Create interview
Required scope:
interviews:write
Create interview
POST
/
api
/
v1
/
public
/
interviews
/
create
/
Create interview
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/interviews/create/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidate_email": "[email protected]",
"candidate_name": "Ada Lovelace",
"interview_type": "live",
"scheduled_at": "2026-09-10T14:00:00Z",
"duration_minutes": 60,
"send_email": true
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/interviews/create/"
payload = {
"candidate_email": "[email protected]",
"candidate_name": "Ada Lovelace",
"interview_type": "live",
"scheduled_at": "2026-09-10T14:00:00Z",
"duration_minutes": 60,
"send_email": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
candidate_email: '[email protected]',
candidate_name: 'Ada Lovelace',
interview_type: 'live',
scheduled_at: '2026-09-10T14:00:00Z',
duration_minutes: 60,
send_email: true
})
};
fetch('https://assess.praxicraft.com/api/v1/public/interviews/create/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/interviews/create/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
candidate_email: '[email protected]',
candidate_name: 'Ada Lovelace',
interview_type: 'live',
scheduled_at: '2026-09-10T14:00:00Z',
duration_minutes: 60,
send_email: true
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/interviews/create/"
payload := strings.NewReader("{\n \"candidate_email\": \"[email protected]\",\n \"candidate_name\": \"Ada Lovelace\",\n \"interview_type\": \"live\",\n \"scheduled_at\": \"2026-09-10T14:00:00Z\",\n \"duration_minutes\": 60,\n \"send_email\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "room-abc123",
"candidate_email": "[email protected]",
"candidate_name": "Ada Lovelace",
"status": "scheduled",
"interview_type": "live",
"scheduled_at": "2026-09-10T14:00:00Z",
"created_at": "2026-09-05T09:00:00Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "Invalid or revoked API Key.",
"code": "INVALID_API_KEY"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organisation API key created in Assess → Developer → API Keys. Format: Bearer ct_live_<your-key> (live) or Bearer ct_test_<your-key> (test). Optional per-key CIDR allowlists return 403 IP_NOT_ALLOWED.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Public wire uses task_* field names; maps to internal coding/org case ids.
Required string length:
1 - 300Available options:
coding, technical, system_design, behavioral, mixed Available options:
ai_only, human_only, hybrid Maximum string length:
254Maximum string length:
200Required range:
0 <= x <= 2147483647Available options:
python, javascript, typescript, sql, java, go, bash Maximum string length:
200Maximum string length:
200Available options:
entry, mid, senior, staff, Show child attributes
Show child attributes
Optional completed Screen session in this organisation. Candidate email must match.
Response
Maximum string length:
300Maximum string length:
64Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
linked, mismatch, unlinked Available options:
org, engineer Available options:
coding, technical, system_design, behavioral, mixed Available options:
prepared, scheduled, waiting, active, ended, expired, no_show Available options:
ai_only, human_only, hybrid Available options:
python, javascript, typescript, sql, java, go, bash Required range:
0 <= x <= 2147483647Maximum string length:
200Maximum string length:
254Maximum string length:
200Maximum string length:
200Available options:
entry, mid, senior, staff, Last modified on September 5, 2026